.TH tkxcd n "1997 Feb 04" "John C. Quillan"

.SH NAME
tkxcd tk xcleardiff look-a-like 
.SH SYNOPSIS
.B tkxcd
[ file_old file_new ] |
   [ -rcs file_name version_old version_new ] |
   [ -rcs file_name version_old ] |
   [ -rcs file_name ]
.SH COPYRIGHT
tkxcd 1.1.0 is Copyright (c) 1996 by John C. Quillan
.SH DESCRIPTION
.B tkxcd is a diff front end that has a look and feel similar to that
of Artia Clearcases xcleardiff.  It is written in tcl/tk.
.PP
This program displays diffs side by side highlighting the changed,
inserted, and deleted areas in different colors.  It will add extra lines
that are not highlighted to keep the identical lines next to each
other.
.PP
There is are two buttons (Previous Diff)and (Next Diff) which will jump
through the files to the next location that there are differences.
There is also a button labeled (U) or (L) which will let you change
the status of the two windows synchronized scrolling.  L is for Linked
which means that the two windows scroll in sync when either scrollbar
is moved.  The U means that the two windows are Unlinked and scroll
separately.
.SH OPTIONS
.TP 7
.BI \-rcs 
use the rcs mode which can diff two versions of a file
or the current version verses a previous version or a 
current version against what it is checked out from.
.SH CONFIG FILE
There are configurable variables that can change the look of tkxcd.

The file is located in you home directory is called 

.RS
 .tkxcdrc
.RE
.IP xcd_font 8
Set font (Any X11 Font) (default 6x10)
.IP xcd_leftcolor 8
Set if there should be color highlighting on left side window (default 0)
.IP xcd_delcolor 8
Delete Color (default red1)
.IP xcd_inscolor 8
Insert Color (default green3)
.IP xcd_cngcolor 8
Change Color (default DodgerBlue1)
.IP xcd_edittxt 8
Determines if window text is edit-able or not (default 0)
.SH MENUS		 

WARNING: The only menu that currently works is the file->quit.
.SH EXAMPLES
Here are some examples

To diff two text file foo_old.c and foo_new.c

.RS 
tkxcd foo_old.c foo_new.c
.RE

to diff two version of a RCS file foo.c for 1.4 and 1.2

.RS
tkxcd -rcs foo.c 1.2 1.4
.RE

to diff the current version of a RCS file against a old version 1.3

.RS
tkxcd -rcs foo.c 1.3
.RE

to find out what you have change since you checked out foo.c

.RS
tkxcd -rcs foo.c
.RE

.SH AUTHOR
John C. Quillan quillan\@doitnow.com
.PP
http://www.doitnow.com/~quillan

.SH BUGS

.IP 1. 4 
The Previous\_Diff and Next\_Diff buttons do not
keep track of where you manually scroll in the file, so
if you scroll to the bottom of a file with a diff at
the very top, hitting Next\_Diff will return you to the
top of the file.

.IP 2. 4
The implementation of the RCS code is not very good
and could use some improvement.

.IP 3. 4
Will not recognize if two files are identical.

.IP 4. 4
Does not support any other version control products.

.IP 5. 
To windows will not re-sync when you re-link them
with the re-link button.
   
